[openssh-commits] [openssh] 02/03: upstream: regression test for sftp cp command

git+noreply at mindrot.org git+noreply at mindrot.org
Wed Apr 20 15:37:39 AEST 2022


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit 687bbf23572d8bdf25cbbcdf8ac583514e1ba710
Author: djm at openbsd.org <djm at openbsd.org>
Date:   Thu Mar 31 03:07:33 2022 +0000

    upstream: regression test for sftp cp command
    
    OpenBSD-Regress-ID: c96bea9edde3a384b254785e7f9b2b24a81cdf82
---
 regress/sftp-cmds.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/regress/sftp-cmds.sh b/regress/sftp-cmds.sh
index 1289c408..85f0e976 100644
--- a/regress/sftp-cmds.sh
+++ b/regress/sftp-cmds.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: sftp-cmds.sh,v 1.14 2013/06/21 02:26:26 djm Exp $
+#	$OpenBSD: sftp-cmds.sh,v 1.15 2022/03/31 03:07:33 djm Exp $
 #	Placed in the Public Domain.
 
 # XXX - TODO: 
@@ -197,6 +197,11 @@ rm -f ${COPY}.2
 echo "ln -s ${COPY}.1 ${COPY}.2" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 || fail "ln -s failed"
 test -h ${COPY}.2 || fail "missing file after ln -s"
 
+verbose "$tid: cp"
+rm -f ${COPY}.2
+echo "cp ${COPY}.1 ${COPY}.2" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 || fail "cp failed"
+cmp ${COPY}.1 ${COPY}.2 || fail "created file is not equal after cp"
+
 verbose "$tid: mkdir"
 echo "mkdir ${COPY}.dd" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \
 	|| fail "mkdir failed"

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list